/* Simple utility to beep a number of times
 * Copyright (C) 2005  Ian McCall, ian@eruvia,.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 *T his program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * version 2 along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

#include <stdlib.h>
#include <curses.h>


int main(int argc, char *argv[]) {
	long beepCount;
	int i;

	if(argc > 1) {
		beepCount = strtol(argv[1], NULL, 0);
	}
	else {
		beepCount = 1;
	}

	initscr();

	for(i = 0; i < beepCount; i++) {
		beep();
	}

	endwin();

	return 0;
}
